Skip to content

Get a list of subscriptions ​

GET
/v1/profile/watchlist

Authorizations​

api_key
Type
API Key (header: X-Api-Key)

Parameters​

Query Parameters

sorting
Type
string
Default
null
page_size

Number of items per page

Type
integer
Default
50
page

Current page

Type
integer
Default
1

Responses​

OK

application/json
JSON
{
  
"subscriptions": [
  
  
{
  
  
  
"ticket_id": null,
  
  
  
"subscription_id": null,
  
  
  
"ticket_title": null,
  
  
  
"event_name": null,
  
  
  
"event_id": null,
  
  
  
"category_id": null,
  
  
  
"category_name": null,
  
  
  
"team_id": null,
  
  
  
"tournament_id": null,
  
  
  
"team_name": null,
  
  
  
"tournament_name": null,
  
  
  
"enabled_notifications": [
  
  
  
  
"string"
  
  
  
]
  
  
}
  
],
  
"pagination": {
  
  
"total_size": 1,
  
  
"page_size": 50,
  
  
"page_number": 1,
  
  
"next_page": "string",
  
  
"previous_page": "string"
  
}
}

Playground​

Server
Authorization
Variables
Key
Value

Samples​